package com.tofly.ghrq_route.module.emergencyHandle.domain;

import com.tofly.ghrq_route.module.trouble.domain.AuditFileBean;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class ScheduleExecuteBean implements Serializable {
    private String id;
    private String schedulerId;
    private String overTime;
    private String completeTime;
    private String emergencyHandling;
    private int isMaintenance;
    private String isMaintenanceName;
    private int auditFlag;
    private String auditFlagName;
    private String emergencyVoice;
    private String emergencyFile;
    private String confirmingTheLink;
    private List<AuditFileBean> emergencyVoiceList;
    private List<AuditFileBean> emergencyFileList;
    private List<AuditFileBean> confirmingTheLinkList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSchedulerId() {
        return schedulerId;
    }

    public void setSchedulerId(String schedulerId) {
        this.schedulerId = schedulerId;
    }

    public String getOverTime() {
        return overTime;
    }

    public void setOverTime(String overTime) {
        this.overTime = overTime;
    }

    public String getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(String completeTime) {
        this.completeTime = completeTime;
    }

    public String getEmergencyHandling() {
        return emergencyHandling;
    }

    public void setEmergencyHandling(String emergencyHandling) {
        this.emergencyHandling = emergencyHandling;
    }

    public int getIsMaintenance() {
        return isMaintenance;
    }

    public void setIsMaintenance(int isMaintenance) {
        this.isMaintenance = isMaintenance;
    }

    public String getIsMaintenanceName() {
        return isMaintenanceName;
    }

    public void setIsMaintenanceName(String isMaintenanceName) {
        this.isMaintenanceName = isMaintenanceName;
    }

    public int getAuditFlag() {
        return auditFlag;
    }

    public void setAuditFlag(int auditFlag) {
        this.auditFlag = auditFlag;
    }

    public String getAuditFlagName() {
        return auditFlagName;
    }

    public void setAuditFlagName(String auditFlagName) {
        this.auditFlagName = auditFlagName;
    }

    public String getEmergencyVoice() {
        return emergencyVoice;
    }

    public void setEmergencyVoice(String emergencyVoice) {
        this.emergencyVoice = emergencyVoice;
    }

    public String getEmergencyFile() {
        return emergencyFile;
    }

    public void setEmergencyFile(String emergencyFile) {
        this.emergencyFile = emergencyFile;
    }

    public String getConfirmingTheLink() {
        return confirmingTheLink;
    }

    public void setConfirmingTheLink(String confirmingTheLink) {
        this.confirmingTheLink = confirmingTheLink;
    }

    public List<AuditFileBean> getEmergencyVoiceList() {
        return emergencyVoiceList;
    }

    public void setEmergencyVoiceList(List<AuditFileBean> emergencyVoiceList) {
        this.emergencyVoiceList = emergencyVoiceList;
    }

    public List<AuditFileBean> getEmergencyFileList() {
        return emergencyFileList;
    }

    public void setEmergencyFileList(List<AuditFileBean> emergencyFileList) {
        this.emergencyFileList = emergencyFileList;
    }

    public List<AuditFileBean> getConfirmingTheLinkList() {
        return confirmingTheLinkList;
    }

    public void setConfirmingTheLinkList(List<AuditFileBean> confirmingTheLinkList) {
        this.confirmingTheLinkList = confirmingTheLinkList;
    }
}
